right-click menu on one-click buttons is missing on 
Bug  brought the new search field to about:home and about:newtab. However, the new right-click menu from bug  is missing and should be implemented to match the behaviour.
